
Installer - Bug #30523

Make Candlepin database migration idempotent

07/29/2020 10:53 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/569,

https://github.com/theforeman/puppet-ca

ndlepin/pull/161

  

Description

The Candlepin database migration happens on every installer run because we cannot reliably detect if there are pending migrations.

As a stop gap, we can store the Candlepin RPM in a file and check if it has changed.

See: https://bugzilla.redhat.com/show_bug.cgi?id=1861868

Associated revisions

Revision f32c2e7d - 08/31/2020 11:42 AM - Eric Helms

Fixes #30523: Create providers to make database migration idempotent

Revision 34acdc91 - 08/31/2020 12:20 PM - Eric Helms

Refs #30523: Let puppet-candlepin handle DB migration workflow

History

#1 - 07/30/2020 01:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-candlepin/pull/161 added

#2 - 07/30/2020 02:11 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.2.0

- Triaged changed from No to Yes

#3 - 08/12/2020 01:31 PM - Eric Helms

- Target version changed from 2.2.0 to 2.3.0

#4 - 08/31/2020 11:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/569 added

#5 - 08/31/2020 11:42 AM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#6 - 08/31/2020 12:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-candlepin|f32c2e7d9c7326a24a5795714a57bbc18c1e8e33.
